package com.zayhu;

interface IZayhuLOG {
    void logEvent(int logLevel, String entry);

    void sendLogFiles(String tagName);

    boolean analyzeYesterdayData(boolean reportToServer, boolean pushConnected);

    void reportAppStart();

    void reportAppPause();

    void reportUserPage(String page, long time, long duration);

    void reportUserSession(long time, long duration, int screenCount);

    void reportUserPageSession(long time, long duration, int pageId);

    void reportCallSession(long time, long duration, long flags, long flags2, long trafficBytes, long ringingRoundTripTime, int qualityIndex, long maxJitter, int peerCountryCode, int transportResetCount, String extraJsonStringWithBase64);

    void reportMessage(int type); // 0 = send; 1 = recv; 2 = re-send

    void reportContactsCount(int friends, int groups, int chatrooms);

    void reportCrashCount(int crashCount);
}