package com.zayhu;

interface IZayhuProxy {
     // resolve to a magic one time used ipv4 address, will change every time; ipv6 is not available for socks4
    String resolveHostname(String hostname);
    String resolveMagicIP(String magicIP);

    boolean updateRemoteProxy(int proxyID, String proxyHost, int proxyPort);
    boolean saveRemoteProxy(int proxyID, String proxyHost, int proxyPort);

    int getLocalProxy(int proxyID); // random selected local proxy port
    int allocateLocalProxy();
    boolean releaseLocalProxy(int proxyID);
}
