package com.zayhu;

interface IZayhuPreference {
    boolean remove(String key);
    boolean contains(String key);

    // int
    boolean putInt(String key, int value);
    int getInt(String key, int defValue);
    int peekInt(String key, int defValue);

    // long
    boolean putLong(String key, long value);
    long getLong(String key, long defValue);
    long peekLong(String key, long defValue);

    // float
    boolean putFloat(String key, float value);
    float getFloat(String key, float defValue);
    float peekFloat(String key, float defValue);

    // string
    boolean putString(String key, String value);
    String getString(String key, String defValue);
    String peekString(String key, String defValue);

    // boolean
    boolean putBoolean(String key, boolean value);
    boolean getBoolean(String key, boolean defValue);
    boolean peekBoolean(String key, boolean defValue);

    // byte[]
    boolean putByteArray(String key, in byte[] value);
    byte[] getByteArray(String key);
    byte[] peekByteArray(String key);
}