package com.zayhu;

import android.os.Bundle;

/**
 * ZayhuService --> ZayhuClient Notification
 *
 * Please note that those are low priority tasks that can be safely discarded.
 *
 * High priority task such as contact calling should be sent as Intent to ensure client app is always loaded.
 */
interface IZayhuServiceCallback {
    // Track status for main app
    void onStatusChange(int statusCode, String statusText);

    // IDC configuration
    void onIdcConfigChange(String idcConfig);
}