package com.zayhu;

import android.os.Bundle;
import com.zayhu.ICallBackInterface;

interface IZayhuUiBind {
    boolean hasFollow(String subscriptionAccount);
    int followSubscription(String subscriptionAccount);
    long getServerTime();
    String getNoCountryCodeDevicePhoneNumber();
    String getNoCountryCodeUserPhoneNumber();
    String getCookie(String id);
    boolean checkCookie(String cookieUserName);
    String getUserName();
    int getFriendCount();
    List<String> getHuaweiUrls();
    int openYeeCallUI(String link);
    boolean setAcceptDuobaoService();
    boolean reportWebEvent(String event, String bundleJson);
    String getUserGender();
    String getUserAvatarWithBase64();
    String getWebConfig();
    boolean isGroupMember(String groupHid);
    void registerListener(ICallBackInterface callBack);
    int getPayResult(String uuid);
}